bm::ptr_payload_t Union Reference

helper union to interpret pointer as integers More...

`#include <bmfunc.h>`

## Data Fields

bm::word_t * | blk
bm::id64_t | i64
unsigned short | i16 [4]

## Detailed Description

helper union to interpret pointer as integers

Definition at line 10298 of file bmfunc.h.

## Field Documentation

## blk

bm::word_t* bm::ptr_payload_t::blk

Definition at line 10300 of file bmfunc.h.

## i16

unsigned short bm::ptr_payload_t::i16[4]

Definition at line 10302 of file bmfunc.h.

## i64

bm::id64_t bm::ptr_payload_t::i64

Definition at line 10301 of file bmfunc.h.

The documentation for this union was generated from the following file:

- bmfunc.h